Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface ITextStore

All Known Implementing Classes:
  GapTextStore, SequentialRewriteTextStore

public interface ITextStore

Interface for storing and managing text.

Provides access to the stored text and allows to manipulate it. Clients may implement this interface or use `GapTextStore` and `SequentialRewriteTextStore`.

Method Summary
`char` | `get(int offset)` Returns the character at the specified offset.
`String` | `get(int offset, int length)` Returns the text of the specified character range.
`int` | `getLength()` Returns number of characters stored in this text store.
`void` | `replace(int offset, int length, String text)` Replaces the specified character range with the given text.
`void` | `set(String text)` Replace the content of the text store with the given text.

Method Detail

### get

    public char get(int offset)

  Returns the character at the specified offset.

  Parameters:
    `offset` - the offset in this text store
  Returns:
    the character at this offset

### get

    public String get(int offset,
                      int length)

  Returns the text of the specified character range.

  Parameters:
    `offset` - the offset of the range
    `length` - the length of the range
  Returns:
    the text of the range

### getLength

    public int getLength()

  Returns number of characters stored in this text store.

  Returns:
    the number of characters stored in this text store

### replace

    public void replace(int offset,
                        int length,
                        String text)

  Replaces the specified character range with the given text. `replace(getLength(), 0, "some text")` is a valid call and appends text to the end of the text store.

  Parameters:
    `offset` - the offset of the range to be replaced
    `length` - the number of characters to be replaced
    `text` - the substitution text

### set

    public void set(String text)

  Replace the content of the text store with the given text. Convenience method for `replace(0, getLength(), text`.

  Parameters:
    `text` - the new content of the text store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.